legacy 'image show' reports invalid URI field

Bug #1035931 reported by Brian Waldon on 2012-08-12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Brian Rosmaita

Bug Description

A call like 'glance show e6421c88-b1ed-4407-8824-b57298249091' will return the following output:

URI: http://h:t/v1/images/e6421c88-b1ed-4407-8824-b57298249091
Id: e6421c88-b1ed-4407-8824-b57298249091
Public: Yes
Protected: Yes
Name: cirros-0.3.0-x86_64-uec-kernel
Status: active
Size: 4731440
Disk format: aki
Container format: aki
Minimum Ram Required (MB): 0
Minimum Disk Required (GB): 0
Owner: 2b74d1ddbccc40c99234b1fdb290f118
Created at: 2012-08-10T19:23:49
Updated at: 2012-08-10T19:23:49

Notice the 'URI: ...' field shows 'h' and 't' for the host and port. That field should be a valid hostname that the image can be reached at.

Changed in python-glanceclient:
assignee: nobody → Brian Rosmaita (brian-rosmaita)
Changed in python-glanceclient:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/12730
Committed: http://github.com/openstack/python-glanceclient/commit/2f1e0299e84b7e3acfdb0c927025a84ae4c0704c
Submitter: Jenkins
Branch: master

commit 2f1e0299e84b7e3acfdb0c927025a84ae4c0704c
Author: Brian Rosmaita <email address hidden>
Date: Mon Sep 10 19:19:20 2012 +0000

    Corrects URI to display hostname, port properly

    Fixes bug 1035931

    Change-Id: I1b4e8a226c21d137b24bc5b75299bcf4ab4efefb

Changed in python-glanceclient:
status: In Progress → Fix Committed
Brian Waldon (bcwaldon) on 2012-09-11
Changed in python-glanceclient:
milestone: none → v0.5.1
Brian Waldon (bcwaldon) on 2012-09-11
Changed in python-glanceclient:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers